#include "appsettings.h"

#define APPSETTING_ROWS "Rows"
#define APPSETTING_COLS "Columns"
#define APPSETTING_ASKQUIT "AskQuit"
#define APPSETTING_AUTOSAVEONQUIT "AutoSaveOnQuit"
#define APPSETTING_ISAUTOSAVED "IsAutoSaved"

AppSettings::AppSettings(QObject *parent) :
    QObject(parent)
{
}

unsigned AppSettings::rows()
{
    return _settings.value(APPSETTING_ROWS, 3).toUInt();
}

void AppSettings::setRows(unsigned value)
{
    _settings.setValue(APPSETTING_ROWS, value);
    emit rowsChanged();
}

unsigned AppSettings::columns()
{
    return _settings.value(APPSETTING_COLS, 5).toUInt();
}

void AppSettings::setColumns(unsigned value)
{
    _settings.setValue(APPSETTING_COLS, value);
    emit columnsChanged();
}

bool AppSettings::askQuit()
{
    return _settings.value(APPSETTING_ASKQUIT, true).toBool();
}

void AppSettings::setAskQuit(bool value)
{
    _settings.setValue(APPSETTING_ASKQUIT, value);
    emit askQuitChanged();
}

bool AppSettings::autoSaveOnQuit()
{
    return _settings.value(APPSETTING_AUTOSAVEONQUIT, true).toBool();
}

void AppSettings::setAutoSaveOnQuit(bool value)
{
    _settings.setValue(APPSETTING_AUTOSAVEONQUIT, value);
    emit autoSaveOnQuitChanged();
}

bool AppSettings::isCurrentlyAutoSavedOnQuit()
{
    return _settings.value(APPSETTING_AUTOSAVEONQUIT, true).toBool();
}

void AppSettings::setIsCurrentlyAutoSavedOnQuit(bool value)
{
    _settings.setValue(APPSETTING_ISAUTOSAVED, value);
    emit isCurrentlyAutoSavedOnQuitChanged();
}
