#ifndef APPSETTINGS_H
#define APPSETTINGS_H

#include <QObject>
#include <QSettings>

class AppSettings : public QObject
{
    Q_OBJECT
    Q_PROPERTY(unsigned rows READ rows WRITE setRows NOTIFY rowsChanged)
    Q_PROPERTY(unsigned columns READ columns WRITE setColumns NOTIFY columnsChanged)
    Q_PROPERTY(bool askQuit READ askQuit WRITE setAskQuit NOTIFY askQuitChanged)
    Q_PROPERTY(bool autoSaveOnQuit READ autoSaveOnQuit WRITE setAutoSaveOnQuit NOTIFY autoSaveOnQuitChanged)
    Q_PROPERTY(bool isCurrentlyAutoSavedOnQuit READ isCurrentlyAutoSavedOnQuit WRITE setIsCurrentlyAutoSavedOnQuit NOTIFY isCurrentlyAutoSavedOnQuitChanged)
    QSettings _settings;

public:
    explicit AppSettings(QObject *parent = 0);
    unsigned rows();
    void setRows(unsigned value);
    unsigned columns();
    void setColumns(unsigned value);
    bool askQuit();
    void setAskQuit(bool value);
    bool autoSaveOnQuit();
    void setAutoSaveOnQuit(bool value);
    bool isCurrentlyAutoSavedOnQuit();
    void setIsCurrentlyAutoSavedOnQuit(bool value);

signals:
    void rowsChanged();
    void columnsChanged();
    void askQuitChanged();
    void autoSaveOnQuitChanged();
    void isCurrentlyAutoSavedOnQuitChanged();

public slots:

};

#endif // APPSETTINGS_H
