#include <QtGui>
#include <QtDeclarative>
#include "memorygameboard.h"
#include "appsettings.h"

int main(int argc, char *argv[])
{    
    QApplication::setApplicationName("memory-game");
    QApplication::setApplicationVersion("1.0");

    QTranslator tQt, tApp;
    tQt.load("qt_" + QLocale::system().name(), QLibraryInfo::location(QLibraryInfo::TranslationsPath));
    tApp.load(QApplication::applicationName() + "_" + QLocale::system().name(), ":/translations");

    QApplication app(argc, argv);
    QApplication::installTranslator(&tQt);
    QApplication::installTranslator(&tApp);

    qmlRegisterType<MemoryGameBoard>("MemoryGame", 1, 0, "MemoryGameBoard");
    qmlRegisterType<AppSettings>("MemoryGame", 1, 0, "AppSettings");

    QDeclarativeView view;
    QObject::connect(view.engine(), SIGNAL(quit()), &app, SLOT(quit()));
    view.rootContext()->setContextProperty("appSettings", new AppSettings(&app));
    view.setSource(QUrl("qrc:/qml/harmattan/main.qml"));
    view.showFullScreen();

    return app.exec();
}
