#ifndef MEMORYCARD_H
#define MEMORYCARD_H

#include <QtDeclarative>

class MemoryCard : public QDeclarativeItem
{
    Q_OBJECT
    Q_PROPERTY(QPointF pos READ pos WRITE setPos)
    Q_PROPERTY(qreal scale READ scale WRITE setScale)
    bool _isFace;
    unsigned _id;

    void flip(const char *slotName);

protected:
    virtual void mousePressEvent(QGraphicsSceneMouseEvent *event);

public:
    explicit MemoryCard(QDeclarativeItem *parent);
    explicit MemoryCard(QDeclarativeItem *parent, unsigned id);
    bool isFace() const;
    void saveData(QDataStream &stream) const;
    void loadData(QDataStream &stream);
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget = 0);

signals:
    void matched();

private slots:
    void setToFace();
    void setToBack();

public slots:
    void flyOut();
    void flipToFace();
    void flipToBack();

};

#endif // MEMORYCARD_H
