import QtQuick 1.1
import com.meego 1.0

Sheet {
    id: settingsSheet
    acceptButtonText: "Close"
    rejectButtonText: ""

    content: Flickable {
        anchors.fill: parent
        anchors.leftMargin: 10
        anchors.topMargin: 10
        flickableDirection: Flickable.VerticalFlick

        Column {
            anchors.top: parent.top
            anchors.fill: parent
            spacing: 10

            CheckBox {
                id: askQuitCheckBox
                text: "Ask before quitting"
                checked: appSettings.askQuit
            }
            Binding {
                target: appSettings
                property: "askQuit"
                value: askQuitCheckBox.checked
            }

            CheckBox {
                id: autoSaveOnQuitCheckBox
                text: "Preserve state when you quit"
                checked: appSettings.autoSaveOnQuit
            }
            Binding {
                target: appSettings
                property: "autoSaveOnQuit"
                value: autoSaveOnQuitCheckBox.checked
            }

            Label {
                text: "Number of rows"
            }
            Row {
                spacing: 10
                Slider {
                    id: rowsSlider
                    minimumValue: 2
                    maximumValue: 10
                    value: appSettings.rows
                    stepSize: 1
                    valueIndicatorVisible: true
                }
                Label {
                    id: rowsLabel
                    text: appSettings.rows
                    anchors.verticalCenter: parent.verticalCenter
                }
            }
            Binding {
                target: appSettings
                property: "rows"
                value: rowsSlider.value
            }

            Label {
                text: "Number of columns"
            }

            Row {
                spacing: 10
                Slider {
                    id: columnsSlider
                    minimumValue: 2
                    maximumValue: 10
                    value: appSettings.columns
                    stepSize: 1
                    valueIndicatorVisible: true
                }
                Label {
                    id: columnsLabel
                    text: appSettings.columns
                    anchors.verticalCenter: parent.verticalCenter
                }
            }
            Binding {
                target: appSettings
                property: "columns"
                value: columnsSlider.value
            }
        }
    }
}
