import QtQuick 1.1
import com.meego 1.0

PageStackWindow {
    id: appWindow
    initialPage: mainPage
    onOrientationChangeStarted: mainPage.board.changeOrientation()
    Component.onCompleted: {
        autoLoad();
    }

    MainPage {
        id: mainPage
    }

    function quitGame() {
        if (appSettings.askQuit)
            quitDialog.open();
        else
        {
            autoSave();
            Qt.quit();
        }
    }

    function autoSave() {
        if (appSettings.autoSaveOnQuit && mainPage.board.isGameStarted && mainPage.board.elapsedSteps > 0)
        {
            appSettings.isCurrentlyAutoSavedOnQuit = true;
            // TODO
        }
    }

    function autoLoad() {
        if (appSettings.autoSaveOnQuit && appSettings.isCurrentlyAutoSavedOnQuit)
        {
            // TODO
        }
        else
        {
            mainPage.board.startGame();
        }
        appSettings.isCurrentlyAutoSavedOnQuit = false;
    }

    QueryDialog {
        id: quitDialog
        message: "Do you want to quit the game?"
        acceptButtonText: "Yeah"
        rejectButtonText: "Nope"
        titleText: "Are you sure?"
        onAccepted:
        {
            autoSave()
            Qt.quit();
        }
    }

    SettingsSheet {
        id: settingsSheet
        visualParent: mainPage
        onVisibleChanged: myMenu.close()
    }

    Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
// TODO
//            MenuItem {
//                text: "About"
//            }
            MenuItem {
                text: "Settings"
                onClicked: settingsSheet.open()
            }
            MenuItem {
                text: "Quit game"
                onClicked: quitGame()
            }
        }
        onVisibleChanged: settingsSheet.close()
    }
}
